<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateInterClusterServiceProfileReq StructType
 * @subpackage Structs
 */
class UpdateInterClusterServiceProfileReq extends APIRequest
{
    /**
     * The interClusterService
     * Meta information extracted from the WSDL
     * - choice: uuid | interClusterService
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - default: EMCC
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $interClusterService;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid | interClusterService
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The isActivated
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - default: false
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isActivated;
    /**
     * The sipTrunkName
     * Meta information extracted from the WSDL
     * - documentation: Applicable only for PSTN Access and RSVP Agent
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $sipTrunkName;
    /**
     * Constructor method for UpdateInterClusterServiceProfileReq
     * @uses UpdateInterClusterServiceProfileReq::setInterClusterService()
     * @uses UpdateInterClusterServiceProfileReq::setUuid()
     * @uses UpdateInterClusterServiceProfileReq::setIsActivated()
     * @uses UpdateInterClusterServiceProfileReq::setSipTrunkName()
     * @param string $interClusterService
     * @param string $uuid
     * @param string $isActivated
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $sipTrunkName
     */
    public function __construct($interClusterService = 'EMCC', $uuid = null, $isActivated = 'false', \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $sipTrunkName = null)
    {
        $this
            ->setInterClusterService($interClusterService)
            ->setUuid($uuid)
            ->setIsActivated($isActivated)
            ->setSipTrunkName($sipTrunkName);
    }
    /**
     * Get interClusterService value
     * @return string
     */
    public function getInterClusterService()
    {
        return isset($this->interClusterService) ? $this->interClusterService : null;
    }
    /**
     * Set interClusterService value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $interClusterService
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateInterClusterServiceProfileReq
     */
    public function setInterClusterService($interClusterService = 'EMCC')
    {
        if (is_null($interClusterService) || (is_array($interClusterService) && empty($interClusterService))) {
            unset($this->interClusterService);
        } else {
            $this->interClusterService = $interClusterService;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateInterClusterServiceProfileReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get isActivated value
     * @return string|null
     */
    public function getIsActivated()
    {
        return $this->isActivated;
    }
    /**
     * Set isActivated value
     * @param string $isActivated
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateInterClusterServiceProfileReq
     */
    public function setIsActivated($isActivated = 'false')
    {
        $this->isActivated = $isActivated;
        return $this;
    }
    /**
     * Get sipTrunkName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getSipTrunkName()
    {
        return $this->sipTrunkName;
    }
    /**
     * Set sipTrunkName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $sipTrunkName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateInterClusterServiceProfileReq
     */
    public function setSipTrunkName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $sipTrunkName = null)
    {
        $this->sipTrunkName = $sipTrunkName;
        return $this;
    }
}
